Bug 985094 - Brightness controls not functioning on Dell E6350 with Fedora 19
Brightness controls not functioning on Dell E6350 with Fedora 19
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 14:49 EDT by Chuck Mattern
Modified: 2013-10-08 12:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:53:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chuck Mattern 2013-07-16 14:49:54 EDT
Description of problem:
Using function keys, Gnome control nor putting arbitrary values into /sys/class/backlight/acpi_video*/brightness will not change LCD backlight brightness.  This is the same symptom as 891148 but refiling for

Version-Release number of selected component (if applicable):
kernel-devel-3.9.9-302.fc19.x86_64

How reproducible:


Steps to Reproduce:
1. Install Fedora 19 on Dell E6530
2. Try to adjust LCD brightness

Actual results:
No change.

Expected results:
Dimming/intensifying of the LCD backlight brightness.

Additional info:
lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4)
00:1c.3 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 4 (rev c4)
00:1c.5 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 6 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM77 Express Chipset LPC Controller (rev 04)
00:1f.2 RAID bus controller: Intel Corporation 82801 Mobile SATA Controller [RAID mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller (rev 04)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108GLM [NVS 5200M] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GF108 High Definition Audio Controller (rev a1)
03:00.0 Network controller: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller (rev 01)
0c:00.0 SD Host controller: O2 Micro, Inc. Device 8221 (rev 05)

lsmod
Module                  Size  Used by
fuse                   82124  3 
ebtable_nat            12807  0 
xt_CHECKSUM            12549  1 
nf_conntrack_netbios_ns    12665  0 
nf_conntrack_broadcast    12527  1 nf_conntrack_netbios_ns
ipt_MASQUERADE         12880  4 
ip6table_nat           13015  1 
nf_nat_ipv6            13213  1 ip6table_nat
ip6table_mangle        12700  1 
bridge                105667  0 
stp                    12868  1 bridge
llc                    14045  2 stp,bridge
bnep                   19704  2 
bluetooth             356531  7 bnep
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      18782  24 
nf_defrag_ipv6         18205  1 nf_conntrack_ipv6
iptable_nat            13011  1 
nf_nat_ipv4            13199  1 iptable_nat
nf_nat                 25743  5 ipt_MASQUERADE,nf_nat_ipv4,nf_nat_ipv6,ip6table_nat,iptable_nat
iptable_mangle         12695  1 
nf_conntrack_ipv4      14808  21 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
xt_conntrack           12760  43 
nf_conntrack           86376  11 nf_conntrack_netbios_ns,ipt_MASQUERADE,nf_nat,nf_nat_ipv4,nf_nat_ipv6,xt_conntrack,ip6table_nat,nf_conntrack_broadcast,iptable_nat,nf_conntrack_ipv4,nf_conntrack_ipv6
ebtable_filter         12827  0 
ebtables               30758  2 ebtable_nat,ebtable_filter
ip6table_filter        12815  1 
ip6_tables             26808  3 ip6table_filter,ip6table_mangle,ip6table_nat
snd_hda_codec_hdmi     41153  4 
snd_hda_codec_idt      50411  1 
iTCO_wdt               13480  0 
iTCO_vendor_support    13419  1 iTCO_wdt
arc4                   12608  2 
brcmsmac              526075  0 
cordic                 12525  1 brcmsmac
brcmutil               14124  1 brcmsmac
mac80211              599994  1 brcmsmac
cfg80211              517234  2 brcmsmac,mac80211
rfkill                 21694  5 cfg80211,bluetooth
dell_wmi               12681  0 
ppdev                  17635  0 
sparse_keymap          13584  1 dell_wmi
acpi_cpufreq           19612  0 
mperf                  12607  1 acpi_cpufreq
nvidia               9429811  42 
coretemp               13435  0 
kvm_intel             133627  0 
kvm                   439238  1 kvm_intel
dell_laptop            17369  0 
dcdbas                 14794  1 dell_laptop
microcode              23403  0 
snd_hda_intel          44037  7 
snd_hda_codec         178826  3 snd_hda_codec_hdmi,snd_hda_codec_idt,snd_hda_intel
snd_hwdep              17650  1 snd_hda_codec
uvcvideo               81017  0 
snd_seq                64849  0 
videobuf2_vmalloc      13163  1 uvcvideo
snd_seq_device         14136  1 snd_seq
videobuf2_memops       13161  1 videobuf2_vmalloc
videobuf2_core         38773  1 uvcvideo
joydev                 17332  0 
snd_pcm                98071  3 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel
videodev              121804  2 uvcvideo,videobuf2_core
sdhci_pci              18659  0 
media                  20444  2 uvcvideo,videodev
sdhci                  38121  1 sdhci_pci
mmc_core              112242  1 sdhci
bcma                   40397  1 brcmsmac
i2c_i801               18136  0 
lpc_ich                16977  0 
mfd_core               13182  1 lpc_ich
e1000e                245861  0 
mei                    70788  0 
snd_page_alloc         18268  2 snd_pcm,snd_hda_intel
drm                   268666  2 nvidia
snd_timer              28698  2 snd_pcm,snd_seq
snd                    79388  23 snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_hda_codec_idt,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,snd_seq_device
ptp                    18413  1 e1000e
i2c_core               34059  4 drm,i2c_i801,nvidia,videodev
pps_core               18854  1 ptp
soundcore              14491  1 snd
parport_pc             28048  0 
parport                40425  2 ppdev,parport_pc
uinput                 17625  0 
binfmt_misc            17463  1 
dm_crypt               22793  1 
crc32_pclmul           13113  0 
crc32c_intel           22079  0 
ghash_clmulni_intel    13259  0 
wmi                    18697  1 dell_wmi
video                  18991  0
Comment 1 Josh Boyer 2013-09-18 16:39:28 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 2 Josh Boyer 2013-10-08 12:53:24 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.